
QGIS Application - Bug report #1344

Zooming to a very small area causes a long freeze

2008-10-10 07:42 AM - Håvard Tveite

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11404

Description

I have a [[PostGIS]] layer (municipality polygons).  I experience a several minutes long freeze (with high CPU) when I zoom to a small area

(scales larger than about 1:2000).  No problem for smaller map scales (larger zoom windows).  The extent of the dataset is about 3000 km

N-S and 1000 km E-W.

Quantum GIS Kore 1.0.0 preview1, code revision 9407 on MS Windows NT.

History

#1 - 2008-10-13 12:36 AM - Håvard Tveite

I am very sorry that the title turned out to be wrong on this bug report.  I was in the middle of exploring the bug when I made the title, and after

experimenting a bit, I found out that the "bug" was only scale dependent.

Is it possible for someone to change the title to:

"Zooming to a very small area causes a long freeze" ?

#2 - 2008-10-22 12:18 PM - Magnus Homann

Are there any rasters loaded?

#3 - 2008-10-23 12:40 AM - Håvard Tveite

No rasters were involved at the time I was zooming in and out (I don't recall if any rasters were loaded earlier in the session - in case, it would have had to

be a WMS layer).

I tested again today (with the same version of QGIS). This time, I saw no such delays as those I had experienced the last time.  Everything ran smoothly

and fast.

I must have experienced something that shows up after a while... - I was testing the software, so I don't recall exactly what I did before I experienced the

zoom delays.

#4 - 2008-11-10 08:50 AM - zachariahyoder -

I think this is related to #1311, to which I have just posted an example of how to reproduce the error.

#5 - 2009-07-01 05:09 AM - Giovanni Manghi

I tested this report with Qgis 1.2 (rev. 10972M) installed from OSGeo4W under windows XP Professional, and I cannot replicate it.
Used a polygon postgis layer, with other layer loaded from wms/wfs, and tried to zoom to  very small areas. Rendering seems to me slower on windows

rather than on linux, but I experienced no unacceptable delays or freezes.

If none will reply in the next days I'll close this.

#6 - 2009-07-08 03:17 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing this ticket. Reopen if necessary.
